    /*
     *  call-seq:
     *     query_parser.tokenized_fields = fields -> self
     *
     *  Set the list of tokenized_fields. These tokenized_fields are tokenized in
     *  the queries. If this is set to Qnil then all fields will be tokenized.
     */
    static VALUE
    frt_qp_set_tkz_fields(VALUE self, VALUE rfields)
    {
        GET_QP;
        if (qp->tokenized_fields) hs_destroy(qp->tokenized_fields);
        qp->tokenized_fields = frt_get_fields(rfields);
        return self;
    }